# ---------------------------------------------------------------------------
# StripeCommentColor - A Plugin for Movable Type
#
# Release 1.0
# September 11, 2004
#
# Author: nlog(n)
# http://nlogn.ath.cx/
#
# Copyright (c) 2004 nlog(n)
# ---------------------------------------------------------------------------

package MT::Plugins::StripeCommentColor;

use strict;
use MT::Template::Context;
MT::Template::Context->add_tag(StripeCommentColor => \&StripeCommentColor);
use vars qw($VERSION);
$VERSION = 1.0;

sub StripeCommentColor {
  my ($ctx, $args) = @_;
  my $color = '#FFFFFF';
  my $oddnumcolor = $args->{oddnumcolor}     || '#EEEEEE';
  my $evennumcolor = $args->{evennumcolor}   || '#FFFFFF';
  my $num = $_[0]->stash('comment_order_num');

  if ($num) {
    if ($num % 2) {
      $color = $oddnumcolor;
    } else {
      $color = $evennumcolor;
    }
  }

  $color;
}

1;
